Access Profiles

Attach roles to access profile

Attaches one or more roles. Setting is_default: true makes the profile the role's default for new users. apply_to_existing: true provisions the profile to users already in the role.

POST
/api/access-profiles/{id}/roles
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

idinteger
role_idsarray<integer>
Items1 <= items
is_default?boolean
apply_to_existing?boolean

Response Body

curl -X POST "https://loading/{AI_GATEWAY_URL}/api/access-profiles/0/roles" \  -H "Content-Type: application/json" \  -d '{    "role_ids": [      0    ]  }'
{
  "message": "string",
  "users_applied": 0
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
Empty
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings